org.cybergarage.upnp.xml

## Class ServiceData

- java.lang.Object
- - org.cybergarage.upnp.xml.NodeData
  - - org.cybergarage.upnp.xml.ServiceData

-     public class ServiceData
      extends NodeData

  Data container for UPnP service information and metadata.

  This class extends NodeData to represent service definitions from UPnP device descriptions. It encapsulates metadata about services including action listeners, subscribers, and service configuration.

  Key features:

  - Action listener management
  - Subscriber list handling
  - Service configuration data
  - XML node data inheritance
  - Event notification support

  This class is used by UPnP services to manage their metadata, listener registrations, and subscriber information, enabling proper service operation and event notification functionality.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListenerList` | `getControlActionListenerList()`
    `String` | `getDescriptionURL()`
    `Node` | `getSCPDNode()`
    `String` | `getSID()`
    `SubscriberList` | `getSubscriberList()`
    `long` | `getTimeout()`
    `void` | `setDescriptionURL(String descriptionURL)`
    `void` | `setSCPDNode(Node node)`
    `void` | `setSID(String id)`
    `void` | `setTimeout(long value)`

    - ### Methods inherited from class org.cybergarage.upnp.xml.NodeData

      `getNode, setNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceData

          public ServiceData()

  - ### Method Detail

    - #### getControlActionListenerList

          public ListenerList getControlActionListenerList()

    - #### getDescriptionURL

          public String getDescriptionURL()

    - #### getSCPDNode

          public Node getSCPDNode()

    - #### getSID

          public String getSID()

    - #### getSubscriberList

          public SubscriberList getSubscriberList()

    - #### getTimeout

          public long getTimeout()

    - #### setDescriptionURL

          public void setDescriptionURL(String descriptionURL)

    - #### setSCPDNode

          public void setSCPDNode(Node node)

    - #### setSID

          public void setSID(String id)

    - #### setTimeout

          public void setTimeout(long value)